LumaQQ的独立版本需要安装JRE 1.4以上才能运行,JRE你可以单独安装,如果为了省事,可以采用自带JRE的LumaQQ版本。下面的链接详细介绍了独立版本和插件版本的安装方法,以及补丁的安装方法:
一、不带JRE版本的LumaQQ安装方法
这个版本没有带JRE,其安装包都用no_jre结尾。安装这个版本需要先安装JRE。我们以lumaqq_2004-linux_gtk_x86_no_jre.tar.gz为例

1. 首先下载JRE 1.4以上版本,这个随便在网上搜搜就能搜出来。在Windows下面,就是一个exe文件,双击一路下去就是。在linux下面,有

rpm的,也有可执行文件形式的,rpm的用 rpm -ivh rpm包名 安装,可执行文件形式的直接运行就开始安装了。

2. 安装JRE,安装完后你有两个选择,这两个选择都是没问题的:

(第一个选择) 什么也不做,脚本将会在/usr目录,/opt目录和你的用户主目录下面搜索JRE。

只要你把JRE装在以上某个目录的下面,程序将会找到JRE,但是,这个找寻JRE的过程可能会狂读你的硬盘,因此我不推荐你这样

尽量用第二个选择

(第二个选择) 修改/etc/profile或者用户目录的配置文件(比如.bashrc),设置JAVA_HOME环境变量,例如:

JAVA_HOME=/usr/j2sdk1.4.2_01 (把这个替换成你的JRE目录)

export JAVA_HOME

然后使设置生效:你可以注销再登录,也可以直接运行一下/etc/profile

这个方法直接一些,程序不会再去搜索JRE

3. 在JRE或者JDK安装完成后,把安装包拷贝到某个目录,假设是/usr/local,然后用下列命令解压:

tar zxvf lumaqq_2004-linux_gtk2_no_jre.tar.gz

这时/usr/local下会出现LumaQQ目录,你要是不喜欢这个目录,随便你改名移动都行。然后直接运行lumaqq脚本就行啦!

不过呢,要注意两点:

i. lumaqq的脚本使用的是bash shell语法,如果你的环境有所差异,请修改相应的命令

ii. 如果出现权限问题,使用chmod -R 777 [安装目录]更改权限

二、带JRE版本的 LumaQQ 安装方法

这个版本带有JRE,其文件后缀名都是with_jre。安装这个版本更加简单。

1. 以lumaqq_2004-linux_gtk_x86_with_jre.tar.gz为例,将其拷贝到某个目录,假设是/usr/local

2. 执行命令tar zxvf lumaqq_2004-linux_gtk_x86_with_jre.tar.gz解压,这样会在/usr/local下生成一个目录LumaQQ,如果你不喜欢这个目录,随便你把LumaQQ拷贝到哪里都行,随便你重命名成什么都行

3. 直接运行lumaqq脚本就可以了。不过呢,要注意两点:

i. lumaqq的脚本使用的是bash shell语法,如果你的环境有所差异,请修改相应的命令

ii. 如果出现权限问题,使用chmod -R 777 [安装目录]更改权限

具体可登录网站:http://lumaqq.linuxsir.org/


评论

该日志第一篇评论

发表评论

评论也有版权!